-- Copyright (c) Huawei Technologies Co., Ltd. 2025-2025. All rights reserved.
-- 
-- this file licensed under the Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
--
-- THIS SOFTWARE IS PROVIDED ON AN \"AS IS\" BASIS, WITHOUT WARRANTIES OF ANY KIND, EITHER EXPRESS OR
-- IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR
-- PURPOSE.
-- See the Mulan PSL v2 for more details.
--

local class = require 'mc.class'

local protocol = class()
function protocol:init()
end

function protocol:pre_request()
end

function protocol:after_request()
end

function protocol:pre_response()
end

function protocol:after_response()
end

function protocol:send()
end

-- smbus does not support sending request with data
function protocol:validate_request_params(_)
end

function protocol:construct_request_data(...)
end

function protocol:unpack_response_data(...)
end

function protocol:send_request(...)
end

function protocol:ctor()
end

return protocol
